// ** MUI Imports

// ** Icons Imports

// ** Custom Components Imports

// ** Styled Component Import

// ** Demo Components Imports

import { setup } from 'src/lib/csrf';
import { useRouter } from 'next/router';
import ShopfrontLayout from 'src/@core/layouts/ShopfrontLayout';
import { useEffect } from 'react';
import Redirecting from 'src/components/Redirecting';

export const getServerSideProps = setup(async ({ req, res }) => {
  return { props: {} };
});

const Dashboard = () => {
  let router = useRouter();

  useEffect(() => {
    router.replace('/shopfront');
  }, []);

  return (
    <>
      <Redirecting />
    </>
  );
};

Dashboard.getLayout = page => <ShopfrontLayout>{page}</ShopfrontLayout>;

export default Dashboard;
